function [xt,yt]=traj2(x,y,sx,sy,x0,y0,t0,t,itype)
  deff("Ydot = flow(t,Y)",..
       "XY=matrix(Y,-1,2); ..
        Ydot=[interp2(XY,x,y,sx,''zero''); interp2(XY,x,y,sy,''zero'')]")
    if ~exists("itype","local") then
      X=ode([x0;y0],t0,t,flow)
    else
      X=ode(itype,[x0;y0],t0,t,flow)
    end
    xt=X(1:$/2,:); yt=X(($/2+1):$,:)
endfunction   

