mode(-1);
// specific part
libname='Enricolib'

// [1] generate Path.incl 
DIR=get_file_path('builder.sce'); if DIR=="." then DIR=""; end

     F=mopen(DIR+'Path.incl','w');
     mfprintf(F,'SCIDIR='+SCI+'\n');
     mfprintf(F,'SCIDIR1='+strsubst(SCI,'/','\\')+'\n');
     mclose(F);

// [2] macros directory 

//compile sci files if necessary and build lib file
genlib(libname,DIR+'macros/')

// prepare macro directory in case one wants to run make 
dir=getcwd();
chdir(DIR+'macros') 
exec builder.sce 
chdir(dir);

// [3] src directory 

if c_link('libhistof') 
  write(%io(2),'please do not rebuild a shared library while it is linked')
  write(%io(2),'in scilab. Use ulink to unlink first');
else 
  dir=getcwd();
  chdir(DIR+'src') 
  ierr=execstr("exec builder.sce","errcatch")
// the building fails on machines which do not have a proper
// C compiler set; let the builder carry on
  if ierr<>0 then disp("COULDN''T COMPILE histof.c"); end
  chdir(dir);
end 

// [3] man directory 

dir=getcwd();
chdir(DIR+'man')
exec('builder.sce');
chdir(dir);

clear DIR libname genlib get_file_path







