mode(-1);

// specific part
libname="Enricolib"
mess=["Enrico Segre toolbox loaded"
    "enter ""es_demos()"" to get demonstrations"]
libtitle="Enrico Segre toolbox (graphics and ...)";
demotitle="Advanced Graphics Toolbox"

//  macros 
DIR=get_absolute_file_path("loader.sce");
if fileinfo(DIR+pathconvert("macros/names",%f))<>[] then
    execstr(libname+"=lib("""+DIR+pathconvert("macros/",%f)+""")")
//[2] loader for src 
    ierr=execstr("exec(DIR+pathconvert(""/src/loader.sce"",%f));","errcatch");
// the building fails on machines which do not have a proper
// C compiler set; let the loader carry on
   if ierr<>0 then disp("COULDN''T GET THE COMPILED fasthistogram() !"); end
else
    write(%io(2),"the file "+DIR+pathconvert("macros/names",%f)+" does not exist!") 
    write(%io(2)," Was the library built correctly?") 
    write(%io(2)," Trying with getd . ...")
    getd(DIR+"/macros") 
end


// [3] loader for the help chapter (loads only if not already)
write(%io(2),mess)
if ~or(%helps(:,2)==libtitle) then
//building of the html files from the xml may have falied.
// this happen typically when "sabcmd" is not installed
  if fileinfo(DIR+pathconvert("man/man-xml/bip.htm",%f))==[] then
    write(%io(2),"The html help files do not exist -- perhaps they were not built?")
    write(%io(2),"  (this is often the case when ""sabcmd"" is missing)")
    %helps = [%helps; DIR+pathconvert("man",%f), libtitle]
  else  
    %helps = [%helps; DIR+pathconvert("man/man-xml",%f), libtitle]
  end
end

// [4] loader for the demo menus (loads only if not already)
if ~or(demolist(:,1)==demotitle) then
  demolist=[demolist; demotitle, DIR+pathconvert("/demos/enrico.dem",%f)]
end

clear DIR libname demotitle libtitle mess get_file_path 

clear fd err nams DIR libname libtitle mess

