function cplot(x,y,c,strf,leg,rect,nax,cext)
// plot of a colored curve
// just an expanded form of a suggestion to the newsgroup...

[lhs,rhs]=argn(0)

if rhs==0 then
  demo=['  x=(0:0.1:2*%pi)''; y=sin(x); cplot(x,y,y)']
  write(%io(2),demo)
  execstr(demo);
  return
end

if rhs==2 then c=y;y=x;x=(1:length(y))'; end
if rhs<=3 then strf='011'; end
if rhs<=4 then leg=' '; end
if rhs<=5 then ...
   if part(strf,2)=='0' then ...
     [frect,frect1]=xgetech(); xmn=frect(1); ...
       xmx=frect1(1)+frect1(3); ...
       ymn=frect(2); ymx=frect1(2)+frect1(4); ...
   else ...
     xmx=max(x);xmn=min(x);ymx=max(y);ymn=min(y); ...
   end; 
   rect=[xmn,ymn,xmx,ymx]; 
end
if rhs<=6 then nax=[1,5,1,5];  end
if rhs<=7 then cext=[min(c),max(c)];  end


nc=xget("lastpattern");


//plot the frame (I could rather have used plotframe)
plot2d(x(1),y(1),0,strf,leg,rect,nax)

//plot the curves with current colormap

xset("clipgrf");
for j=1:size(x,2)
  X=[x(1:$-1,j)';x(2:$,j)'];
  Y=[y(1:$-1,j)';y(2:$,j)'];
  if cext(2)<>cext(1) then
     C=nc*(c(1:$-1,j)-cext(1))/(cext(2)-cext(1));
  else
     C=ones(max(size(c,1)-1,1),1);
  end
  C(find(isnan(C)))=nc+1;
  xsegs(X,Y,C)
end
xset("clipoff");

return

