function k=isearch(y,x)
// returns the vector of indices k such that x(k(i)) <= y(i) < x(k(i)+1)
//   if y(i) isout of the range [x(1),x($)] then k(i)=0
  if ~and(x(2:$)>x(1:$-1)) then
    write(%io(2)," isearch: 2nd argument not sorted in increasing order")
    return
  end
  x=matrix(x,-1,1); sy=size(y); y=matrix(y,-1,1);
  n = length(x);
  k = zeros(y); kl= ones(k); kh=n*kl;
  for i=1:ceil(log2(n))
      kt = floor((kh + kl)/2 )
      ty= (y < x(kt)); kh(ty)= kt(ty) ;  kl(~ty)= kt(~ty);  
  end
  k=matrix(kl,sy); k(x(1)>y | y>x($))=0
endfunction

