function [b]=shift(a,nx,ny)
//
// shifts cyclically the elements of a vector of nx positions
//        or the elements of an array of nx,ny positions
//       useful e.g. to center fft arrays or to center
//       periodical images
//
[lhs,rhs]=argn(0);

lx=size(a,1)
ly=size(a,2)
if ly>1 & rhs==2 then ny=0; end
if ly==1 & rhs==3 then ny=0; end
if lx==1 & ly>1 & rhs==2 then ny=nx; nx=1; end

ix=modulo(modulo((0:lx-1)+nx,lx)+lx,lx)+1;
iy=modulo(modulo((0:ly-1)+ny,ly)+ly,ly)+1;

b(ix,iy)=a;

return

