function xprofile(x,y,a)

[lhs,rhs]=argn(0);

if rhs==0 then
//demo
write(%io(2),"Demo of xprofile")
demostring=[
  '  x=-2:0.03:2; y=-2:0.04:2;'
  '  xprofile(x,y,eval3d(milk_drop,x,y));']
  write(%io(2),demostring)
  execstr(demostring) 
  return
end

if rhs==1 then
  a=x;  x=1:size(a,1); y=1:size(a,2);
end
//this is the same extension to the edge which is made in pixmapl()
xi=(3*x(1)-x(2))/2; xl=(3*x($)-x($-1))/2
yi=(3*y(1)-y(2))/2; yl=(3*y($)-y($-1))/2

profilewin=..
    ["xset(''mark'',1,3)"
     "subwind(1,2,1); plot2d(x'',a(:,j),1,''061'')"
     "xset(''pattern'',5); plot2d(x(i),double(a(i,j)),-3,''000'');"
     "xset(''pattern'',0)"
     "xtitle(''X profile -- y=''+string(y(j)))"
     "subwind(2,2,1); plot2d(a(i,:),y,1,''061'')" 
     "xtitle(''Y profile -- x=''+string(x(i)))"
     "xset(''pattern'',5); plot2d(double(a(i,j)),y(j),-3,''000'')"
     "xset(''pattern'',0)"];

drawhash=..
     ["xsegs([xi,xl,xml,xml],[yml,yml,yi,yl])"
      "xstring(xml,yml,["" (""+string(x(i))+"",""+"+...
         "string(y(j))+"")"";"" ""+string(double(a(i,j)))],0,0)"  ]

pixmapl(x,y,a)
xtitle('Click to exit')
awin=xget('window')
xset("alufunction",6)

wins=winsid()
pwin=wins($)+1
driver('X11')
xset('window',pwin)
xset('wdim',200,200)
xset('pixmap',1)

qset=%f;
xml=xi; yml=yi; rep=[xi,yi,-1]; i=1; j=1; firsttime=%t;
while rep(3)==-1
  xset('window',awin);
  xselect()
  rep=xgetmouse()
  if ~firsttime then execstr(drawhash); else firsttime=%f; end
  xm=rep(1); ym=rep(2); btn=rep(3);
  i=max([1,find(xm>=x)]); j=max([1,find(ym>=y)])  
  xml=min(max(xm,xi),xl);  yml=min(max(ym,yi),yl); 
  execstr(drawhash)
  xset('window',pwin); xset('wwpc')
  execstr(profilewin)
  xset('wshow')
end

//revert the driver to Rec, so the profiles remain
xset('window',pwin); driver('Rec'); xset('pixmap',0); 
//refresh the last profiles, since we reverted the driver
execstr(profilewin)

//restore normal plotting mode
xset('window',awin); xset("alufunction",3)

return
